Latest 0.4.0
Homepage https://github.com/PFei-He/PFSwift
License MIT
Platforms ios 8.0, requires ARC
Authors

logo
PFSwift

License MIT
Support
Cocoapods Compatible

对系统API进行简单封装,实现常用功能

版本

0.4.0

说明

Extension

  • PFDate – NSDate扩展
  • PFDictionary – Dictionary扩展
  • PFString – String扩展
  • PFTimer – NSTimer扩展
  • PFView – UIView扩展

Framework

  • PFFile – 实现文件生成和读写功能
  • PFModel – 数据模型基类
  • PFQRCode – 利用AVFoundation框架生成二维码
  • PFScanner – 扫描器
  • PFTime – 实现时间获取和转换功能

安装

手动安装

将`PFSwift`文件夹拖入到工程目录中即可使用

CocoaPods

platform:ios, '8.0'
use_frameworks!
pod 'PFSwift', '~> 0.4'
注意

由于CocoaPods对Swift的最低支持版本为iOS8.0,如要兼容iOS7.0+,只能手动拖入到工程中使用

使用

CocoaPods

import PFSwift

许可证

PFSwift使用 MIT 许可证,详情见 LICENSE 文件。

Latest podspec

{
    "name": "PFSwift",
    "version": "0.4.0",
    "summary": "u5bf9u7cfbu7edfAPIu8fdbu884cu7b80u5355u5c01u88c5uff0cu5b9eu73b0u5e38u7528u529fu80fd",
    "homepage": "https://github.com/PFei-He/PFSwift",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "PFei-He": "[email protected]"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source": {
        "git": "https://github.com/PFei-He/PFSwift.git",
        "tag": "0.4.0"
    },
    "source_files": "PFSwift/PF{Date,Dictionary,File,Model,QRCode,Scanner,String,Time,Timer,View}.swift",
    "requires_arc": true
}

Pin It on Pinterest

Share This